Package org.apache.jmeter.gui.action

# Class UndoCommand

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.UndoCommand

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class UndoCommand extends AbstractAction
Menu command to serve Undo/Redo

Since:
  2.12

## Constructor Summary

Constructors
Constructor
Description
`UndoCommand()`

## Method Summary

Modifier and Type
Method
Description
`static HashTree`
`convertAndCloneSubTree(HashTree tree)`
wrapper to use package-visible method and clone tree for saving
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UndoCommand

public UndoCommand()

## Method Details

### doAction

public void doAction(ActionEvent e) throws IllegalUserActionException

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
Throws:
  `IllegalUserActionException`
See Also:
  - `Command.doAction(ActionEvent)`

### getActionNames

public Set<String> getActionNames()

Returns:
  Set of all action names

### convertAndCloneSubTree

public static HashTree convertAndCloneSubTree(HashTree tree)
wrapper to use package-visible method and clone tree for saving

Parameters:
  `tree` - to be converted and cloned
Returns:
  converted and cloned tree